;------------------------------------------------------------------------------
; RAUS V2.5 CTL File
;------------------------------------------------------------------------------
;
;
; CHECKAIA
; With this command you tell RAUS to check archive-in-archive also.
CHECKAIA
;
;
; CHECKOLDEST
; With this command you tell RAUS to use the oldest file-date of an file
; in an archive for checking on age, default is the check on the newest file.
;CHECKOLDEST
;
;
; DIZFILE <Filename>
; With this command you define the name RAUS must scan for as DIZ-File,
; when found it's automatically imported in the filebase for the file
; tested, up to 16 diz-files can be defined.
DIZFILE file_id.diz
DIZFILE desc.sdi
DIZFILE descript.ion
;
;
; DIZWRAP <Colomn>
; With this command you define the colomn at which RAUS must start wrapping
; a text-line, default is no wrapping but keep the original DIZ-File wrapping.
DIZWRAP 48
;
;
; DIZLINES <Lines>
; With this command you define the maximum number of lines RAUS will import
; from a DIZ-File, default is 16.
DIZLINES 20
;
;
; DUPECHECK
; With this command you tell RAUS to check for dupes.
DUPECHECK
;
;
; FORMAT <Format-string>
; With this command you can define how the file-description must look like,
; several variables can be used:  %CRLF       - Carriage return/linefeed.
;                                 %FILES      - # files in archive.
;                                 %NEWESTDATE - Date of newest file.
;                                 %OLDESTDATE - date of oldest file.
;                                 %TEXT       - The description.
;                                 %UPLOADER   - Uploader name.
;
;FORMAT %TEXT [Archive contains %FILES files]
;
;
; MAXAGE <Days>
; With this command you define the maximum age of a file (in archive),
; when a file is older, the file fails the test, default is no age-test.
MAXAGE 365
;
;
; SCANNER <Name> <Command>
; With this command you define which virus-scanner(s) to use, when no
; defined, RAUS will not virus-scan any files. The variable %P van be
; used to define the directory the virus-scanner must scan.
; Up to 16 scanners can be defined.
SCANNER ThunderByte tbscan %p af ba nm nb in
SCANNER McaFee      scan %p /all /nomem /sub
;
;
; STRIPCRLF
; With this command you force RAUS to strip any carriage-return and line-feed
; charachters when importing a DIZ-File.
STRIPCRLF
;
;
; STRIPHI
; With this command you force RAUS to strip any HI-ASCII charachters when
; importing a DIZ-File.
;STRIPHI
;
;
; STRIPLINES
; With this command you force RAUS to strip any line and block charachters
; when importing a DIZ-File.
STRIPLINES
;
;
; STRIPSPACES
; With this command you force RAUS to strip any leading, trailing and
; double spaces (double spaces are converted to a single space) when
; importing a DIZ-File.
STRIPSPACES
;
;
;------------------------------------------------------------------------------
; With the following commands you define the external utilities to use for
; extracting/testing files.
; The %A variable is replaced by the file-name of the file which is tested.
; The %F variable is to tell RAUS where to put in some test-cases any
; filename of a file contained in the archive-file.
;
PAKextract PAK E /WA %a
PAKtest    PAK T %a
;
LHAextract LHA e -c %a %f
LHAtest    LHA t %a
;
ZIPextract PKUNZIP -o %a %f
ZIPtest    PKUNZIP -t %a
;
ZOOextract ZOO -e %a %f
ZOOtest    ZOO -t %a
;
ARJextract ARJ e -y %a %f
ARJtest    ARJ t %a
;
ARCextract PKUNPAK -r %a %f
ARCtest    PKUNPAK -t %a
;
HYPextract HYPER -xo %a %f
HYPtest    
;
SQZextract SQZ e /o1 %a %f
SQZtest    SQZ t %a
;
UC2extract UC e -f %a %f
UC2test    UC t %a
;
RARextract RAR e -o+ -std %a %f
RARtest    RAR t -std %a
;
GIFtest    GIFTEST %a
